# $Revision: 1.63 $, $Date: 2008/08/26 20:22:12 $
Summary:	A GNU collection of diff utilities
Summary(de.UTF-8):	GNU-Sammlung von diff-Utilities
Summary(fr.UTF-8):	Utilitaires diff de GNU
Summary(pl.UTF-8):	Narzędzia diff GNU
Summary(tr.UTF-8):	GNU dosya karşılaştırma araçları
Name:		diffutils
Version:	2.8.7
Release:	5
License:	GPL
Group:		Applications/Text
Source0:	ftp://alpha.gnu.org/gnu/diffutils/%{name}-%{version}.tar.gz
# Source0-md5:	18d6587cb915e7aa110a5d463d6ed156
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	34a7ab56f975ff7e439ea13923ec8ae4
Patch0:		%{name}-info.patch
Patch1:		%{name}-pl.po-update.patch
URL:		http://www.gnu.org/software/diffutils/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.14.1
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Diffutils includes four utilities: diff, cmp, diff3 and sdiff. Diff
compares two files and shows the differences, line by line. The cmp
command shows the offset and line numbers where two files differ, or
cmp can show the characters that differ between the two files. The
diff3 command shows the differences between three files. Diff3 can be
used when two people have made independent changes to a common
original; diff3 can produce a merged file that contains both persons
changes and warnings about conflicts. The sdiff command can be used to
merge two files interactively.

%description -l de.UTF-8
Diffutils enthält 4 Utilities: diff, cmp, diff3 und sdiff. Diff
vergleicht zwei Dateien und zeigt die Unterschiede, Zeile für Zeile.
cmp zeigt Offset und Zeilennummern, in denen sich zwei Dateien
unterscheiden, cmp kann auch die Zeichen zeigen, die sich
unterscheiden. diff3 zeigt die Unterschiede zwischen 3 Dateien. Diff3
kann benutzt werden, wenn zwei Leute unabhängige Änderungen zu einem
gemeinsamen Ursprung gemacht haben; diff3 kann eine Datei erzeugen,
die die Änderungen beider Personen und Warnungen zu Konflikten
enthält. Der sdiff-Befehl kann benutzt werden, um zwei Dateien
interaktiv zusammenzufügen.

%description -l pl.UTF-8
Diffutils zawiera następujące programy: diff, cmp, diff3 i sdiff. diff
służy do porównywania dwóch plików wyświetlając różnice między nimi
linia po linii. Polecenie cmp podaje numery bajtów na których
występują różnice między porównywanymi plikami. diff3 pokazuje różnice
miedzy trzema plikami. diff3 może być użyty np. w sytuacji kiedy dwie
osoby wykonały zmianę niezależnie od siebie na jednym pliku,
pozwalając uzyskać połączoną listę zmian zawierającą informacje o tym,
kto co zmienił, a także informacje o konfliktach miedzy tymi dwoma
modyfikacjami. Polecenie sdiff służy do interakcyjnego łączenia dwóch
plików.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
rm m4/extensions.m4

%build
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	PR_PROGRAM=/usr/bin/pr

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xvf - -C $RPM_BUILD_ROOT%{_mandir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/*
%{_infodir}/diff.info*
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ko) %{_mandir}/ko/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(pt) %{_mandir}/pt/man1/*
%lang(ru) %{_mandir}/ru/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: diffutils.spec,v $
Revision 1.63  2008/08/26 20:22:12  pluto
- workaround autoconf bug.

Revision 1.62  2008-01-24 01:22:59  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.61  2007-09-19 20:10:13  sardzent
- reverted last change

Revision 1.60  2007/09/19 19:48:37  sardzent
- added Provides diff

Revision 1.59  2007/09/05 12:22:36  baggins
- rel 5

Revision 1.58  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.57  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.56  2005/05/22 11:54:19  arekm
- rel 4

Revision 1.55  2005/03/21 22:01:57  mmazur
- rel 3 for th

Revision 1.54  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.53  2004/10/12 21:33:22  mmazur
- rel 2 for th

Revision 1.52  2004/07/15 12:50:56  qboosh
- oops, not here; reverted

Revision 1.51  2004/07/15 12:50:21  qboosh
- existing Source0 URL

Revision 1.50  2004/04/24 00:33:09  qboosh
- updated to 2.8.7, updated patches

Revision 1.49  2004/01/02 16:14:42  jajcus
- Release: 3 (STBR after AMD64 fixes)

Revision 1.48  2003/12/19 11:58:12  jajcus
- regenerate auto* stuff

Revision 1.47  2003/08/30 12:33:56  mmazur
- rel 2 for ac

Revision 1.46  2003/07/08 00:05:11  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.45  2003/06/15 21:24:49  malekith
- br gettext-devel

Revision 1.44  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.43  2003/05/25 05:46:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.42  2003/04/13 21:12:32  ankry
- fixed src URL

Revision 1.41  2003/04/13 19:22:05  qboosh
- updated to 2.8.4
- updated info patch, removed obsolete DESTDIR and immunix-owl-tmp patches
- added pl.po-update patch (few updated entries, many typos)
- removed outdated external man pages (up to date man pages containing only
  command line options descriptions are included in package)
- fixed typos in pl description

Revision 1.40  2002/06/17 09:51:12  qboosh
- new %%doc, release 6 (ugly spelling mistake was fixed after rel 5)

Revision 1.39  2002/05/21 23:12:56  kloczek
perl -pi -e "s/^automake -a -c -f --foreign/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.38  2002/04/25 16:12:02  arturs
fixed a small typo

Revision 1.37  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.36  2002/01/24 00:12:58  ankry
- added man-pages tar URL

Revision 1.35  2002/01/18 02:12:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.34  2001/12/28 17:15:54  gotar
- changes in descriptions.

Revision 1.33  2001/10/16 23:35:52  ankry
- fixed man-pages unpacking

Revision 1.32  2001/10/16 09:44:51  ankry
- make .tar.bz2 standard non-english-man-pages format

Revision 1.31  2001/10/11 12:26:48  qboosh
- BuildRequires: autoconf

Revision 1.30  2001/09/16 20:26:31  ankry
- updated existing man pages
- added man pages in extra languages (de, es, fr, hu, it, ko, nl, pt, ru)
- increased release version to 5

Revision 1.29  2001/09/09 17:46:13  gotar
- cosmetical changes in descriptions.

Revision 1.28  2001/09/03 14:47:10  kloczek
- release 4.

Revision 1.27  2001/09/03 12:48:35  gotar
- awful %%configure macro expansions removed,
- no functional nor release changes.

Revision 1.26  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.24  2001/07/03 19:53:27  kloczek
- updated to 2.7.2,
- merge immunix-owl-tmp with fix tmp race (patch from Immunix).

Revision 1.23  2000/10/16 19:39:56  kloczek
- added URL.

Revision 1.22  2000/10/16 19:31:44  kloczek
- release 22: adaperized and added using new rpm automation.

Revision 1.21  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/05/24 16:50:44  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.19  2000/05/18 18:08:16  kloczek
- spec adapterized.

Revision 1.18  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/%post is executed only when info is already
  installed

Revision 1.17  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.15  1999/09/25 11:20:42  kloczek
- new de translation from Mandrake Linux,
- updated pl translation,
- added DESTDIR patch,
- added using %%configure macro,
- diff.1 must belongs to this package (not to man-pages).

Revision 1.14  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.13  1999/09/19 09:05:39  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.12  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 07 1999 Jan Rękorajski <baggins@pld.org.pl>
  [2.7-16]
- spec cleanup

* Thu Apr  1 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [2.7-15]
- added cmp(1), diff(1), diff3(1), sdiff(1) man pages and pl man page
  diff(1),
- standarized {un}registration info pages (added diffutils-info.patch).

* Thu Sep 24 1998 Marcin Korzonek <mkorz@shadow.eu.org>
  [2.7-12]
- added pl translation,
- adde -q %setup parameter,
- moved CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" from make
  to configure (as a much safer solution).
